<?php
/*
  # ===========================================
  # content.php
  #
  # The standard content template.
  # ===========================================
 */

$asycom_blog_hide_cats    = wp_validate_boolean(get_theme_mod('asycom_blog_hide_cats', false));
$asycom_blog_hide_tags    = wp_validate_boolean(get_theme_mod('asycom_blog_hide_tags', false));
$asycom_blog_hide_excerpt = wp_validate_boolean(get_theme_mod('asycom_blog_hide_excerpt', false));
?>

<article id="post-<?php the_ID(); ?>"  <?php post_class('bw-post-preview'); ?> >
    <?php
    $asysom_post_img_style = $asysom_post_image_url = "";
    
    if (has_post_thumbnail()) :
        
        $asysom_post_image_url = get_the_post_thumbnail_url(get_the_ID(),'large');
    
        $asysom_post_img_style =  'style="background-image: url('. esc_url($asysom_post_image_url).')"';
    
    ?>
    <div class="bw-post__img" <?php echo $asysom_post_img_style; ?> >

        <a class="bw-post__img-link" href = "<?php esc_url(the_permalink()); ?>" title="<?php esc_attr(the_title_attribute()); ?>">

        </a>
        
    </div>
    
    <?php
    
    endif;
    
    ?>
    <!--/bw-post__img-->
    <div class="bw-post__content">

        <h2 class = "bw-post__title">
            <a href = "<?php esc_url(the_permalink()); ?>" title="<?php esc_attr(the_title_attribute()); ?>">
                <?php echo esc_html(get_the_title()); ?>
            </a>
        </h2>

<?php
if(!$asycom_blog_hide_excerpt){
    ?>
        <div class = "post-subtitle">
            <?php the_excerpt(); ?>
        </div>
<?php 
}
?>
        <div class="bw-post__meta-wrapper">
            <?php
            /* Post Meta */
            asycom_post_meta(array(
                "tags" => !$asycom_blog_hide_tags,
                "cats" => !$asycom_blog_hide_cats
                ));
            ?>
        </div>

    </div>
    <!--/bw-post__content-->
</article>


