<?php

$wp_customize->add_setting( 'asycom_hide_portfolio_section', array(
  'capability' => 'edit_theme_options',
  'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'asycom_hide_portfolio_section', array(
  'type' => 'checkbox',
  'section' => 'asycom_portfolio_options', // Add a default or your own section
  'label' => esc_html__( 'Hide Blog Section?','asycom' ),
  'description' => esc_html__( 'The Blog section will disappear if you enable this option' ,'asycom')
) );


/* PORTFOLIO - Main title */
$wp_customize->add_setting('asycom_main_portfolio_title', array(
    'default' => esc_html__('PORTFOLIO', 'asycom'),
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage'
));
$wp_customize->add_control('asycom_main_portfolio_title', array(
    'label' => esc_html__('Main Title', 'asycom'),
    'section' => 'asycom_portfolio_options',
    'type' => 'text',
    'description' => esc_html__('Main Title of PORTFOLIO section', 'asycom')
        )
);



/* Portfolio - sub title */
$wp_customize->add_setting('asycom_portfolio_sub_title', array(
    'default' => 'Check our latests works',
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage'
        )
);
$wp_customize->add_control('asycom_portfolio_sub_title', array(
    'label' => esc_html__('Sub Title', 'asycom'),
    'section' => 'asycom_portfolio_options',
    'type' => 'text',
    'description' => esc_html__('Sub Title of PORTFOLIO section', 'asycom')
        )
);



$wp_customize->add_setting('asycom_portfolio_cat', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field'
));

$wp_customize->add_control( new ASYCOM_Taxonomy_Dropdown_Custom_Control( $wp_customize, 'asycom_portfolio_cat', array(
    'label' => esc_html__('Select a Portfolio category as your portfolios', 'asycom'),
    'section' => 'asycom_portfolio_options',
    'settings' => 'asycom_portfolio_cat'
) ) );




$wp_customize->add_setting('asycom_portfolio_item_count', array(
    'default' => '4',
    'sanitize_callback' => 'absint'
        )
);
$wp_customize->add_control(
        'asycom_portfolio_item_count', array(
    'label' => esc_html__('How Many Post should be show?', 'asycom'),
    'section' => 'asycom_portfolio_options',
    'settings' => 'asycom_portfolio_item_count',
    'type' => 'number'
        )
);





/* Blog Us - Background  */
$wp_customize->add_setting('asycom_portfolio_bg', array( 
    'sanitize_callback' => 'esc_url_raw',
    'transport' => 'postMessage'
    ));
$wp_customize->add_control(
        new WP_Customize_Image_Control(
                $wp_customize, 'asycom_portfolio_bg', array(
            'label' => esc_html__('Upload a backgound for blog section', 'asycom'),
            'section' => 'asycom_portfolio_options',
            'settings' => 'asycom_portfolio_bg'
                )
        )
);



/* PORTFOLIO - btn text */
$wp_customize->add_setting('asycom_portfolio_btn_text', array(
    'default' => 'VIEW ALL POSTS',
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage'
    ));
$wp_customize->add_control('asycom_portfolio_btn_text', array(
    'label' => esc_html__('View All Portfolio button text.', 'asycom'),
    'section' => 'asycom_portfolio_options',
    'type' => 'text'
        )
);


/* PORTFOLIO - BTN URL */
$wp_customize->add_setting('asycom_portfolio_btn_url', array(
    'default' => '#',
    'sanitize_callback' => 'esc_url_raw',
    'transport' => 'postMessage'
    ));
$wp_customize->add_control('asycom_portfolio_btn_url', array(
    'label' => esc_html__('View All Portfolio button URL', 'asycom'),
    'section' => 'asycom_portfolio_options',
    'type' => 'text'
        )
);







