<?php

$wp_customize->add_setting('asycom_hide_testimonial_section', array(
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
));

$wp_customize->add_control('asycom_hide_testimonial_section', array(
    'type' => 'checkbox',
    'section' => 'asycom_testimonial_options', // Add a default or your own section
    'label' => esc_html__('Hide Testimonial Section?', 'asycom'),
    'description' => esc_html__('The Testimonial section will disappear if you enable this option', 'asycom')
));


/* Testimonilal - Main title */
$wp_customize->add_setting('asycom_main_testimonial_title', array(
    'default' => esc_html__('TESTIMONIALS', 'asycom'),
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage'
));
$wp_customize->add_control('asycom_main_testimonial_title', array(
    'label' => esc_html__('Main Title', 'asycom'),
    'section' => 'asycom_testimonial_options',
    'type' => 'text',
    'description' => esc_html__('Main Title of Testimonilal section', 'asycom')
        )
);



/* Testimonilal - sub title */
$wp_customize->add_setting('asycom_testimonial_sub_title', array(
    'default' => 'Read More About Our Company',
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage'
));
$wp_customize->add_control('asycom_testimonial_sub_title', array(
    'label' => esc_html__('Sub Title', 'asycom'),
    'section' => 'asycom_testimonial_options',
    'type' => 'text',
    'description' => esc_html__('Sub Title of Testimonilal section', 'asycom')
        )
);



$wp_customize->add_setting('asycom_testimonials_page_1', array(
    'default' => '',
    'sanitize_callback' => 'absint'
));

$wp_customize->add_control( new ASYCOM_WP_Customize_Page_Control( $wp_customize, 'asycom_testimonials_page_1', array(
    'label' => esc_html__('Select a page as testimonial item 1', 'asycom'),
    'section' => 'asycom_testimonial_options',
    'settings' => 'asycom_testimonials_page_1',
) ) );


$wp_customize->add_setting('asycom_testimonials_page_2', array(
    'default' => '',
    'sanitize_callback' => 'absint'
));

$wp_customize->add_control( new ASYCOM_WP_Customize_Page_Control( $wp_customize, 'asycom_testimonials_page_2', array(
    'label' => esc_html__('Select a page as testimonial item 3', 'asycom'),
    'section' => 'asycom_testimonial_options',
    'settings' => 'asycom_testimonials_page_2',
) ) );


$wp_customize->add_setting('asycom_testimonials_page_3', array(
    'default' => '',
    'sanitize_callback' => 'absint'
));

$wp_customize->add_control( new ASYCOM_WP_Customize_Page_Control( $wp_customize, 'asycom_testimonials_page_3', array(
    'label' => esc_html__('Select a page as testimonial item 3', 'asycom'),
    'section' => 'asycom_testimonial_options',
    'settings' => 'asycom_testimonials_page_3',
) ) );