<?php
/*
  # ===========================================
  # page.php
  #
  # The page template file.
  # ===========================================
 */
?>


<?php
/* Load header.php  */
get_header();
?>


<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

        <!-- Post Header -->

        <header class="bw-intro-header" <?php asycom_thumbnail_bg(); ?>>
            <div class="bw-bg-overlay"></div>
            <div class="container">
                <div class="row">
                    <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
                        <div class="bw-post-heading">
                            <h1><?php the_title(); ?></h1>

                            <?php asycom_post_meta(array(
                                "tags"=> true,
                                "cats"=> true
                                )); ?>
                        </div>
                    </div>
                </div>
            </div>
        </header>


<?php 
$ac_sidebar_page_layout = esc_html(get_theme_mod('asycom_global_page_sidebar','none'));

$ac_sidebar_page_layout_content_col = " col-md-8 ";

if($ac_sidebar_page_layout == 'none'){
    $ac_sidebar_page_layout_content_col = " col-md-offset-2";
}
?>

        <!-- Post Content -->
        <article>
            <div class="container">
                <div class="row">
                    
               <?php  if($ac_sidebar_page_layout == "left"){ ?>     
                    <div class=" col-md-4">
                        <div class="bw-sidebar">                         
                           <?php get_sidebar(); ?>
                        </div>
                    </div>
                    
                    <?php } ?>
                    
                    <div class="col-md-8 <?php echo esc_attr($ac_sidebar_page_layout_content_col); ?> ">
                        <?php the_content(); ?>
                        
                        <?php if(comments_open()){ ?>
                        <div>
                            <?php comments_template(); ?>
                        </div>
                        <?php } ?>
                    </div><!-- col -->
               
                    <?php  if($ac_sidebar_page_layout == "right"){  ?>
                    
                    <div class=" col-md-4">
                        <div class="bw-sidebar">                         
                           <?php get_sidebar(); ?>
                        </div>
                    </div>
                    
                    <?php } ?>
                    
                </div> <!-- row -->
            </div><!-- container -->
        </article>

    <?php endwhile; ?>

<?php else: ?>

    <article>
        <div class="container">
            <div class="row">
                <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">

                    <?php esc_html_e('Oops! Seems somethings is wrong ...' , 'asycom') ?>

                </div>
            </div>
        </div>
    </article>

<?php endif; ?>
<hr>



<?php
/* Load footer.php  */
get_footer();
?>


