<?php
/*
  # ===========================================
  # Single.php
  #
  # The Single post template file.
  # ===========================================
 */
?>


<?php
/* Load header.php  */
get_header();
?>


<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

        <!-- Post Header -->

        <header class="bw-intro-header bw-single-post__hero" <?php asycom_thumbnail_bg(); ?>>
            <div class="bg-overlay"></div>
            <div class="container">
                <div class="row">
                    <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
                        <div class="bw-post-heading">
                            <h1><?php esc_html(the_title()); ?></h1>

                            <?php asycom_post_meta(array(
                                "tags"=> true,
                                "cats"=> true
                                )); ?>
                        </div>
                    </div>
                </div>
            </div>
        </header>

        <?php
        $ac_sidebar_post_layout = esc_html(get_theme_mod('asycom_global_post_sidebar', 'right'));

        $ac_sidebar_post_layout_content_col = " col-md-8 ";

        if ($ac_sidebar_post_layout == 'none') {
            $ac_sidebar_post_layout_content_col = " col-md-offset-2";
        }
        ?>


        <!-- Post Content -->
        <article>
            <div class="container">
                <div class="row">


                    <?php if ($ac_sidebar_post_layout == "left") { ?>     
                        <div class=" col-md-4">
                            <div class="bw-sidebar">                         
                                <?php get_sidebar(); ?>
                            </div>
                        </div>

                    <?php } ?>



                    <div class=" col-md-8 <?php echo esc_attr($ac_sidebar_post_layout_content_col); ?> ">
                        <?php the_content(); ?>
                        <div>

                            <?php
                            // Previous/next post navigation.
                            the_post_navigation(array(
                                'next_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__('Next : ', 'asycom') . '</span> ' .
                                '<span class="screen-reader-text">' . esc_html__('Next post :', 'asycom') . '</span> ' .
                                '<span class="post-title">%title</span>',
                                'prev_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__('Previous : ', 'asycom') . '</span> ' .
                                '<span class="screen-reader-text">' . esc_html__('Previous post :', 'asycom') . '</span> ' .
                                '<span class="post-title">%title</span>',
                            ));
                            ?>




                        </div>
                        <?php if (comments_open()) { ?>
                            <div>
                                <?php comments_template(); ?>
                            </div>
                        <?php } ?>
                    </div><!-- col -->



                    <?php if ($ac_sidebar_post_layout == "right") { ?>

                        <div class=" col-md-4">
                            <div class="bw-sidebar">                         
                                <?php get_sidebar(); ?>
                            </div>
                        </div>

                    <?php } ?>


                </div> <!-- row -->
            </div><!-- container -->
        </article>

    <?php endwhile; ?>

<?php else: ?>

    <article>
        <div class="container">
            <div class="row">
                <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">

                    <?php esc_html_e('Oops! Seems somethings is wrong ...', 'asycom') ?>

                </div>
            </div>
        </div>
    </article>

<?php endif; ?>
<hr>



<?php
/* Load footer.php  */
get_footer();
?>


